package eu.jbuk.complexdoors;

import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.Mod.Instance;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import eu.jbuk.complexdoors.core.Logger;
import eu.jbuk.complexdoors.lib.Reference;
import eu.jbuk.complexdoors.proxy.CommonProxy;

/**
 * Complex Doors
 * http://complexdoors.jbuk.eu
 * 
 * @author JBuk
 */
@Mod(modid = Reference.MOD_ID, name = Reference.MOD_NAME, version = Reference.VERSION)
public class ComplexDoors {

    @Instance(Reference.MOD_ID)
    public static ComplexDoors instance;

    @SidedProxy(clientSide = Reference.CLIENT_PROXY_CLASS, serverSide = Reference.SERVER_PROXY_CLASS)
    public static CommonProxy proxy;

    @EventHandler
    public void preInit(FMLPreInitializationEvent event) {
        Logger.init();

        Logger.info("Complex Doors - v" + Reference.VERSION);
        Logger.info("Created by JBuk, 2013 - http://complexdoors.jbuk.eu");
    }

    @EventHandler
    public void init(FMLInitializationEvent event) {

    }

    @EventHandler
    public void postInit(FMLPostInitializationEvent event) {

    }
}
